summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2015-05-22 08:51:53 -0400
committerAnthony G. Basile <blueness@gentoo.org>2015-05-22 08:51:53 -0400
commit78e512adce9601c0131e57a27d98049e5e3d0dce (patch)
tree435437b42c0f8e2811ededb6ce8f18a6048a71c6
parentfea4e5777b906d6706d218850f29dc7f982b3c71 (diff)
downloadhardened-dev-78e512adce9601c0131e57a27d98049e5e3d0dce.tar.gz
hardened-dev-78e512adce9601c0131e57a27d98049e5e3d0dce.tar.bz2
hardened-dev-78e512adce9601c0131e57a27d98049e5e3d0dce.tar.xz
hardened-dev-78e512adce9601c0131e57a27d98049e5e3d0dce.zip
media-libs/mesa: clean up pkg
Package-Manager: portage-2.2.18 RepoMan-Options: --force Manifest-Sign-Key: 0xF52D4BBA
-rw-r--r--media-libs/mesa/Manifest15
-rw-r--r--media-libs/mesa/files/mesa-10.2-sysfs-instead-of-libudev.patch378
-rw-r--r--media-libs/mesa/files/mesa-8.1-dont-require-llvm-for-r300.patch25
-rw-r--r--media-libs/mesa/files/mesa-9.1.6-endian.patch11
-rw-r--r--media-libs/mesa/files/mesa-9.1.6-remove-error_h.patch33
-rw-r--r--media-libs/mesa/files/mesa-9.2-dont-require-llvm-for-r300.patch12
-rw-r--r--media-libs/mesa/mesa-10.0.4-r99.ebuild501
-rw-r--r--media-libs/mesa/mesa-10.2.8-r99.ebuild537
-rw-r--r--media-libs/mesa/mesa-10.3.7-r99.ebuild (renamed from media-libs/mesa/mesa-10.3.7-r1.ebuild)2
-rw-r--r--media-libs/mesa/mesa-9.1.6-r99.ebuild427
-rw-r--r--media-libs/mesa/metadata.xml7
11 files changed, 7 insertions, 1941 deletions
diff --git a/media-libs/mesa/Manifest b/media-libs/mesa/Manifest
index 9d490ca..0d27f39 100644
--- a/media-libs/mesa/Manifest
+++ b/media-libs/mesa/Manifest
@@ -3,19 +3,8 @@ AUX eselect-mesa.conf.9.2 1676 SHA256 bcf5f77140b4695f147d4cd3c2db4b954fb57eccfd
AUX glx_ro_text_segm.patch 731 SHA256 e36af5b530fdbe2b0e62a035bf4bf4baef267c3dc56133d1a58e56899ebffc5c SHA512 90d04d1268cc90e1c5596b49b143895eba99d4e7f7d9bb5f699725c1308e3995edac44e3f61536c7ce70ebf5df84a5a22c18fa84fb54fbddb339f908975bb43c WHIRLPOOL 42171ef67930bebdcfdfcb0c9370234791c6125be760b6419abfff44bd65899982167d6da4d6eb4198383438e6376b4b695109af158083b903071c545160d883
AUX mesa-10-pthread.patch 695 SHA256 a355933736a39ce9b0e26412ac940377fc6b3eeb25737c53bf8d767fe34c5367 SHA512 7850b543fb8413b9abf65ab884588eb7b15782122253bc9f4baee8735775bfd6bade42c386f295c20c7d43484d9ce82597cf82c8bca97433ccec8816386cc275 WHIRLPOOL ad2b5163a556733f8772ab9bce0ea452ac8373c96dc9be82ab1cf7dd7c59eea9fc7bed90786f1e3237e1639852785ed836f42bcaed78447355a6693501c9560f
AUX mesa-10.2-dont-require-llvm-for-r300.patch 547 SHA256 83cfeae33b1e8c84b37ed59c353000eb775978ae3d9035ba8ce4f63a167756fc SHA512 d1cb5a989aa001c99f353d27ab5b28ac05d60050614bbfd76ca5d312e00efcc2b1a2459d30d697b68119310c69512b4195afce6c0ed7f31fb9cf14689a740e27 WHIRLPOOL c06669942d275a9d9f132ec8f51d3ecf23d33cb89cb607ba3a7861f209f283b39a9568513b07e22f0dfcc99339a307d7b2a6b03f261ed583fd4518d3b4d0b464
-AUX mesa-10.2-sysfs-instead-of-libudev.patch 9568 SHA256 e0b7fea7bbf4883dae58c816f1b680f0f1396e83c9717c8b22805c1616214af2 SHA512 6302fdd0c94c1ddca4bd73d05ee6e12664a78978efbd7233d0d4c0d9706c23b716d78e5a31eef87c0606fdf65f49be8f21f8adbeb086660a0053c600bf5ee2d3 WHIRLPOOL 982b2d722f281ce2e5b20f835a53d93d1cad500668fc367e45c10293bfb5e045f8ea5679229edf5f84b3fcc2d07c650159191e3514d444c1d832048522b35041
AUX mesa-10.3.7-dont-use-clrsb.patch 1140 SHA256 23626c6bf1e502f17f4b9236b512063b41bf52be64f56252f0fc5ce456824d58 SHA512 2d9dd9a56c3bab02e8ec1a1ab4d88c2855746d8243548f197cb43de6e980554447c75e53c07dcd270de7e1c282cf7fdf996e5102a24e47b75e484a18f99092e0 WHIRLPOOL 47b222fb61427bbe2a63ac4b738608e9c3491e6373c33e1d68c79198a111d7668b4cafbac9e58820e8cefae55dffca46ab57dbe91ad819feeb734c32f01020f0
-AUX mesa-8.1-dont-require-llvm-for-r300.patch 861 SHA256 7ca0a7135834448ea7ca27903a40bf3b0a39325613f8a66a718407aa28504fbf SHA512 a2e7ed3b9b51c3a9a98d83c8fdeb8b777a4877fac25e969b01ff92d6971c10dda9f64e6310c739597ad7ba04106c72925ee5931417f2b8d764f9bd799efd2142 WHIRLPOOL a82863366507835ec0a6562f70389e0d050fd23ea25e7c113ef4a0e1298a1543afa8c1fa51c90ece83f41ac6f3bda6083fd50b8f1292b863cd320186fba8f732
-AUX mesa-9.1.6-endian.patch 240 SHA256 7ea8c823c90b7484ea66404fc1506d2033911dae86a3e38d869b22960781948a SHA512 fa0dc2f6c19f417117ef6af06cad19ebf0b5018b9c5a747de0913ced87e748ea8962e1841047692c0e23deee51ed5de602bdabce643af151d06b23fcf107d365 WHIRLPOOL e1cf15f81647f8f509ffaf9e802f3aca5ab31ec8d4011a927f68c2d79a00f98ff481740c7c67bc1386212d7eec6a196d638503009982aa78d50f74181e14ef75
AUX mesa-9.1.6-fpclassify.patch 618 SHA256 b02df9b6850d46d251dd51213800d6608195487d0bc91aac79df75616b7bd6d4 SHA512 e7f61451bb05caaeecbe19b24d3c44cecd54a3f10d40701973cf061dc5396c7dc0220c19396e73d5f8d8a8febf34789333476cca62566667d827ed5f68155d4b WHIRLPOOL 4df278e552808cf8656c1319518cd8e37ffd3189e482efae6401dfd43febe733a8e57135d1d4886906fc37b495762c92ca24e5a5f98fe7af59df405e54a4b946
-AUX mesa-9.1.6-remove-error_h.patch 836 SHA256 839fcc0f0ccf14cba1ae801a866f0d7aa83bc627e7fbe344069ba7aa1db355e0 SHA512 f09646aac12c0d106b5631f9bb9be41d8bb393a37265569d4290894db989d8ae7648aa5ee307d83914ed60ab8bf6b5144fb2c7905ff9379b890c8f7cc53e0596 WHIRLPOOL 1e79016e61b5dcd77d7b6d3f6fb62eb013f1cc977efb9309d6fdc09bf34401280db8223ea4716ca987d1253d91e9a2772ca0081a4b010db6cd4e310c94489df5
-AUX mesa-9.2-dont-require-llvm-for-r300.patch 524 SHA256 7e57cb037a57c8c4ef49be93d6f53bd9f002d918bf91c77158da4a4980fbbd66 SHA512 c5b4b40636a4bab64338a0be730f10ec546ff1da31fdde83c628485a5569cc021042fdb17e2ddbc39b86ab6e72e805ed28af9a98ebed320d23084e2575d6437b WHIRLPOOL 7c896f1be7353c964247fd60f517bb100779a02f08166ca509d4b2924c3cd45aba4cc5d45f0eeb171c4ef5d105e5a93316bd24af1342510ba8bde385ea709854
-DIST MesaLib-10.0.4.tar.bz2 6794593 SHA256 ff6eb552becb25a318e53ac56b95a8c2d49e83ad674d87f52e811c0a20c25a40 SHA512 5e5d42def9b867436beaa1f1a2a73e80ce098efcbb840a37c2977410be87dbf88dab994dc5ebbca90b4dc9d13966742924dc73893d3f93bc3d95b61c9149fae5 WHIRLPOOL 965eb710ecd8d3916de6bdb04f36e8ea2a9fbbac1004913c235b06c0f2dc872842495c3dbc0a784c4769d90d1e0cef9bf9ca00394a6bc9aa4d890bde9037238d
-DIST MesaLib-10.2.8.tar.bz2 7113716 SHA256 1ef9ad3f241788d454f2ff8c9d65b6849dfc31c8fe91f70fd2930b81c8af1398 SHA512 dc0e3ece2195be22b3d0e062fd541b049aac190b5cad36dd1ccf745148d2e958cdb7c99ea5280859169ad46624aee0bedeb585bde8d93f52dd9236fec5c1250b WHIRLPOOL b54cddecbea167bd501f75c3590050d1cddf44b5a3caa9ce9b8565c6dfc10ce6ba9cae58ff8155e9d1e2aed1656dc596d62a5a026dc11d27ce962c9fd1d9d13e
DIST MesaLib-10.3.7.tar.bz2 7287153 SHA256 43c6ced15e237cbb21b3082d7c0b42777c50c1f731d0d4b5efb5231063fb6a5b SHA512 bbc027c4146c42aaa160990f5281c71a342d32c10ba56f91da1a60dd4cb7d620ff49b72553d24bc1d87470e2baf9be81b5bdee9abe49d6acc57902fccb9e2e5f WHIRLPOOL 7fa32e70c6aabb84a06f2f852f77eac839aea08726c442742b3d3abdb94a0fd9f033439ab0cb16865f4ee14e1538cb86937856bbdfd1f9090e8e7c43eac52e03
-DIST MesaLib-9.1.6.tar.bz2 6134267 SHA256 e632dff0acafad0a59dc208d16dedb37f7bd58f94c5d58c4b51912e41d005e3d SHA512 b23d0cc3515b56636f73c4d3247212f8c731c967f5ecf8c247a3bd359038ed374c23eb1bb0da17a9152f8b8d984acd134fa9823d9349285287e58676419b4d40 WHIRLPOOL 4e3c07c893060f77cade242d904c1ec4c1c2982b6b3d9ff188b3d809ad8592408c34bd71276f0e8dfa38bce58a82e146b25064cfa50d3ce6d52a7b69a694690a
-EBUILD mesa-10.0.4-r99.ebuild 13604 SHA256 ea76d7ec70bc9612ad8d9e773afc44d8367655edf69aad66c0133212faa2fbfa SHA512 66f255ab060e2b7477e61104fafd7e46f20feb35741a6c60c8b537fd30f08901cbd5a254baed036110849afcbd6ff7f8ea3d8dd97b33226b1f41deb661b18675 WHIRLPOOL d5063ef28290ef6937e4f47f169b4b568d445cb3d20dee433dac98a3afdbe50adae0b604f2ca292f95d323687a3a54e23bd5f3555400b70447ab7e1c6740e774
-EBUILD mesa-10.2.8-r99.ebuild 14889 SHA256 7d53ba93e0a71d6cdba9610f3a69076f2c1c31d88cbec894adcb556614643caf SHA512 4fe2c52403e6249fc7c1fd34214492c6ced952d479ed12f8e9add1be264baa33dc44ddf97178e3281e9b73bab3bac7854d15a8eccc774c28f1280cb4b83f3542 WHIRLPOOL f5b1d1aaaeebe280a9d07dbda2a7636ebefc95909446e89a51a63978cc0fc61bc89445f08615df597f1e77e42cbd32dbc343170c38986863686192c218bf022f
-EBUILD mesa-10.3.7-r1.ebuild 14903 SHA256 c005a38c6f9c599022e41b3a0f9c2e888c357ad7745e19c958e3a7ef2dd4138e SHA512 213b6355736b4b9f5798fe336c355294461968ed619d8e7c0bbf8d649f2335d2dd212a521d25e1e2a0a4d83e9e9babd796dd09569beaa81216993186498f30f5 WHIRLPOOL 71a123817bb4a9bff75b73a959af652041a6d09ca4f734d8fa227a613c0b3b91382433b7801f54ea7fb0362d33175726623f464dfe0c76630fa2f1301b79b6e5
-EBUILD mesa-9.1.6-r99.ebuild 11112 SHA256 951af831e1811db3cbbc323d24fd2a20933b680abbc68e33c2b550163297b00c SHA512 fd82e93ba05f11fe95d7d28eb228f356841b418467eead3dec849a975248aee83a50b1bffdfc1aa5f192edb1b25603f974e2a44592c9791979517b7cb68173cf WHIRLPOOL 9a4ddf767a3d1b6cb02a2b1d449b576ae547d94c054d840db3c447f6d294bc6c13fddb9060684723876dbabe2c812037943793d2187b59c935663273d331670d
-MISC metadata.xml 1911 SHA256 dd34deab20ecf9f1ac83b68992f16af6d39f44cdd891a6eb332426fde704abb1 SHA512 eedfe822659a3e10b8a96dc988eb1ff084fe1ef1923886df800378da853c13a05c5f40b22c3fd024db25f1b5bb6e86a4722f6796e628ffc74506090f65b1a0d3 WHIRLPOOL b2241862d171e1247a6e674d05082052d81fc3254c2b606bd5ccf136a0cedd193fa4717b52a2dcf86dec65bb179ca963a50dc26eec6ea8a77738c51d0928cc25
+EBUILD mesa-10.3.7-r99.ebuild 14902 SHA256 45718624b57b37693fad5d1ca41c5a8156f2fe364ed95c9709f3b58db34ef27e SHA512 e22136acb270c7e19e0f0ff82ac4b204d5c437c606943455ff6565a930f3a20052dc84a5e4d45a1ded2c1ca029ef81fb34121ea315f0539ac8e6416b3d0602a0 WHIRLPOOL 8a9ad22fad2e133df122ce4babe42ac3ee8f05187b56a76226e6fbaa414eab2990a09c67c9fea280b82510d6960485bc294d39091f4025795d71667e149e5cd5
+MISC metadata.xml 1937 SHA256 b1c243ea287b20ad89f349d4d6274735d0bee6fd4b3309c6a9a0fbc063633c2e SHA512 445b1923de09a43ee10b6df629e48dd114003a2edf482de865f16816b2011d90b058e7cbc5e81face2ffdbac3cb94443f35aeea5cea93a9213f77a8aa822b459 WHIRLPOOL 56eb282ac574bff06e7dbc0bcb26b364ee1fd7827975327d59e3a94530c1cd7e7f843fe6be0bdab9a5956e34301ea3148c17e30b757fb904434a706ae6889023
diff --git a/media-libs/mesa/files/mesa-10.2-sysfs-instead-of-libudev.patch b/media-libs/mesa/files/mesa-10.2-sysfs-instead-of-libudev.patch
deleted file mode 100644
index 6eed6ac..0000000
--- a/media-libs/mesa/files/mesa-10.2-sysfs-instead-of-libudev.patch
+++ /dev/null
@@ -1,378 +0,0 @@
-From 85b6f36ca5238dd3fec7c5fcacb8b7074ce53c8e Mon Sep 17 00:00:00 2001
-From: Gary Wong <gtw@gnu.org>
-Date: Wed, 21 May 2014 21:07:42 -0600
-Subject: loader: add optional /sys filesystem method for PCI identification.
-
-Introduce a simple PCI identification method of looking up the answer
-the /sys filesystem (available on Linux). Attempted after libudev, but
-before DRM.
-
-Disabled by default (available only when the --enable-sysfs configure
-option is specified).
-
-Signed-off-by: Gary Wong <gtw@gnu.org>
-Acked-by: Emil Velikov <emil.l.velikov@gmail.com>
-
-Backported to mesa-10.2.8 by Ian Stakenvicius <axs@gentoo.org>
-
---- a/configure.ac
-+++ b/configure.ac
-@@ -870,14 +870,21 @@ fi
-
- case "$host_os" in
- linux*)
-- need_libudev=yes ;;
-+ need_pci_id=yes ;;
- *)
-- need_libudev=no ;;
-+ need_pci_id=no ;;
- esac
-
- PKG_CHECK_MODULES([LIBUDEV], [libudev >= $LIBUDEV_REQUIRED],
- have_libudev=yes, have_libudev=no)
-
-+AC_ARG_ENABLE([sysfs],
-+ [AS_HELP_STRING([--enable-sysfs],
-+ [enable /sys PCI identification @<:@default=disabled@:>@])],
-+ [have_sysfs="$enableval"],
-+ [have_sysfs=no]
-+)
-+
- if test "x$enable_dri" = xyes; then
- if test "$enable_static" = yes; then
- AC_MSG_ERROR([Cannot use static libraries for DRI drivers])
-@@ -973,8 +980,15 @@ xyesno)
- ;;
- esac
-
-+have_pci_id=no
- if test "$have_libudev" = yes; then
- DEFINES="$DEFINES -DHAVE_LIBUDEV"
-+ have_pci_id=yes
-+fi
-+
-+if test "$have_sysfs" = yes; then
-+ DEFINES="$DEFINES -DHAVE_SYSFS"
-+ have_pci_id=yes
- fi
-
- # This is outside the case (above) so that it is invoked even for non-GLX
-@@ -1076,8 +1090,8 @@ if test "x$enable_dri" = xyes; then
- DEFINES="$DEFINES -DHAVE_DRI3"
- fi
-
-- if test "x$have_libudev" != xyes; then
-- AC_MSG_ERROR([libudev-dev required for building DRI])
-+ if test "x$have_pci_id" != xyes; then
-+ AC_MSG_ERROR([libudev-dev or sysfs required for building DRI])
- fi
-
- case "$host_cpu" in
-@@ -1252,8 +1266,8 @@ if test "x$enable_gbm" = xauto; then
- esac
- fi
- if test "x$enable_gbm" = xyes; then
-- if test "x$need_libudev$have_libudev" = xyesno; then
-- AC_MSG_ERROR([gbm requires udev >= $LIBUDEV_REQUIRED])
-+ if test "x$need_pci_id$have_pci_id" = xyesno; then
-+ AC_MSG_ERROR([gbm requires udev >= $LIBUDEV_REQUIRED or sysfs])
- fi
-
- if test "x$enable_dri" = xyes; then
-@@ -1271,7 +1285,7 @@ if test "x$enable_gbm" = xyes; then
- fi
- fi
- AM_CONDITIONAL(HAVE_GBM, test "x$enable_gbm" = xyes)
--if test "x$need_libudev" = xyes; then
-+if test "x$need_pci_id$have_libudev" = xyesyes; then
- GBM_PC_REQ_PRIV="libudev >= $LIBUDEV_REQUIRED"
- else
- GBM_PC_REQ_PRIV=""
-@@ -1560,9 +1574,9 @@ for plat in $egl_platforms; do
- ;;
- esac
-
-- case "$plat$need_libudev$have_libudev" in
-+ case "$plat$need_pci_id$have_pci_id" in
- waylandyesno|drmyesno)
-- AC_MSG_ERROR([cannot build $plat platform without udev >= $LIBUDEV_REQUIRED]) ;;
-+ AC_MSG_ERROR([cannot build $plat platform without udev >= $LIBUDEV_REQUIRED or sysfs]) ;;
- esac
- done
-
-@@ -1843,8 +1857,8 @@ gallium_require_llvm() {
-
- gallium_require_drm_loader() {
- if test "x$enable_gallium_loader" = xyes; then
-- if test "x$need_libudev$have_libudev" = xyesno; then
-- AC_MSG_ERROR([Gallium drm loader requires libudev >= $LIBUDEV_REQUIRED])
-+ if test "x$need_pci_id$have_pci_id" = xyesno; then
-+ AC_MSG_ERROR([Gallium drm loader requires libudev >= $LIBUDEV_REQUIRED or sysfs])
- fi
- if test "x$have_libdrm" != xyes; then
- AC_MSG_ERROR([Gallium drm loader requires libdrm >= $LIBDRM_REQUIRED])
---- a/src/loader/loader.c 2014-09-19 13:03:22.000000000 -0400
-+++ b/src/loader/loader.c 2014-11-25 12:46:51.412249717 -0500
-@@ -71,6 +71,10 @@
- #include <assert.h>
- #include <dlfcn.h>
- #endif
-+#ifdef HAVE_SYSFS
-+#include <sys/stat.h>
-+#include <sys/types.h>
-+#endif
- #include "loader.h"
-
- #ifndef __NOT_HAVE_DRM_H
-@@ -113,8 +117,8 @@
- udev_handle = dlopen("libudev.so.0", RTLD_LOCAL | RTLD_LAZY);
-
- if (!udev_handle) {
-- log_(_LOADER_FATAL, "Couldn't dlopen libudev.so.1 or libudev.so.0, "
-- "driver detection may be broken.\n");
-+ log_(_LOADER_WARNING, "Couldn't dlopen libudev.so.1 or "
-+ "libudev.so.0, driver detection may be broken.\n");
- }
- }
- }
-@@ -122,16 +126,19 @@
- return udev_handle;
- }
-
-+static int dlsym_failed = 0;
-+
- static void *
--asserted_dlsym(void *dlopen_handle, const char *name)
-+checked_dlsym(void *dlopen_handle, const char *name)
- {
- void *result = dlsym(dlopen_handle, name);
-- assert(result);
-+ if (!result)
-+ dlsym_failed = 1;
- return result;
- }
-
- #define UDEV_SYMBOL(ret, name, args) \
-- ret (*name) args = asserted_dlsym(udev_dlopen_handle(), #name);
-+ ret (*name) args = checked_dlsym(udev_dlopen_handle(), #name);
-
-
- static inline struct udev_device *
-@@ -142,6 +149,9 @@
- UDEV_SYMBOL(struct udev_device *, udev_device_new_from_devnum,
- (struct udev *udev, char type, dev_t devnum));
-
-+ if (dlsym_failed)
-+ return NULL;
-+
- if (fstat(fd, &buf) < 0) {
- log_(_LOADER_WARNING, "MESA-LOADER: failed to stat fd %d\n", fd);
- return NULL;
-@@ -157,8 +167,8 @@
- return device;
- }
-
--int
--loader_get_pci_id_for_fd(int fd, int *vendor_id, int *chip_id)
-+static int
-+libudev_get_pci_id_for_fd(int fd, int *vendor_id, int *chip_id)
- {
- struct udev *udev = NULL;
- struct udev_device *device = NULL, *parent;
-@@ -174,6 +184,9 @@
-
- *chip_id = -1;
-
-+ if (dlsym_failed)
-+ return 0;
-+
- udev = udev_new();
- device = udev_device_new_from_fd(udev, fd);
- if (!device)
-@@ -201,16 +214,76 @@
-
- return (*chip_id >= 0);
- }
-+#endif
-+
-+#if defined(HAVE_SYSFS)
-+static int
-+dev_node_from_fd(int fd, unsigned int *maj, unsigned int *min)
-+{
-+ struct stat buf;
-+
-+ if (fstat(fd, &buf) < 0) {
-+ log_(_LOADER_WARNING, "MESA-LOADER: failed to stat fd %d\n", fd);
-+ return -1;
-+ }
-+
-+ if (!S_ISCHR(buf.st_mode)) {
-+ log_(_LOADER_WARNING, "MESA-LOADER: fd %d not a character device\n", fd);
-+ return -1;
-+ }
-+
-+ *maj = major(buf.st_rdev);
-+ *min = minor(buf.st_rdev);
-+
-+ return 0;
-+}
-+
-+static int
-+sysfs_get_pci_id_for_fd(int fd, int *vendor_id, int *chip_id)
-+{
-+ unsigned int maj, min;
-+ FILE *f;
-+ char buf[0x40];
-
--#elif !defined(__NOT_HAVE_DRM_H)
-+ if (dev_node_from_fd(fd, &maj, &min) < 0) {
-+ *chip_id = -1;
-+ return 0;
-+ }
-
-+ snprintf(buf, sizeof(buf), "/sys/dev/char/%d:%d/device/vendor", maj, min);
-+ if (!(f = fopen(buf, "r"))) {
-+ *chip_id = -1;
-+ return 0;
-+ }
-+ if (fscanf(f, "%x", vendor_id) != 1) {
-+ *chip_id = -1;
-+ fclose(f);
-+ return 0;
-+ }
-+ fclose(f);
-+ snprintf(buf, sizeof(buf), "/sys/dev/char/%d:%d/device/device", maj, min);
-+ if (!(f = fopen(buf, "r"))) {
-+ *chip_id = -1;
-+ return 0;
-+ }
-+ if (fscanf(f, "%x", chip_id) != 1) {
-+ *chip_id = -1;
-+ fclose(f);
-+ return 0;
-+ }
-+ fclose(f);
-+ return 1;
-+}
-+#endif
-+
-+#if !defined(__NOT_HAVE_DRM_H)
- /* for i915 */
- #include <i915_drm.h>
- /* for radeon */
- #include <radeon_drm.h>
-
--int
--loader_get_pci_id_for_fd(int fd, int *vendor_id, int *chip_id)
-+static int
-+drm_get_pci_id_for_fd(int fd, int *vendor_id, int *chip_id)
- {
- drmVersionPtr version;
-
-@@ -272,23 +345,33 @@
-
- return (*chip_id >= 0);
- }
-+#endif
-
--#else
-
- int
- loader_get_pci_id_for_fd(int fd, int *vendor_id, int *chip_id)
- {
-+#if HAVE_LIBUDEV
-+ if (libudev_get_pci_id_for_fd(fd, vendor_id, chip_id))
-+ return 1;
-+#endif
-+#if HAVE_SYSFS
-+ if (sysfs_get_pci_id_for_fd(fd, vendor_id, chip_id))
-+ return 1;
-+#endif
-+#if !defined(__NOT_HAVE_DRM_H)
-+ if (drm_get_pci_id_for_fd(fd, vendor_id, chip_id))
-+ return 1;
-+#endif
- return 0;
- }
-
--#endif
--
-
--char *
--loader_get_device_name_for_fd(int fd)
-+#ifdef HAVE_LIBUDEV
-+static char *
-+libudev_get_device_name_for_fd(int fd)
- {
- char *device_name = NULL;
--#ifdef HAVE_LIBUDEV
- struct udev *udev;
- struct udev_device *device;
- const char *const_device_name;
-@@ -312,9 +395,66 @@
- out:
- udev_device_unref(device);
- udev_unref(udev);
-+ return device_name;
-+}
- #endif
-+
-+
-+#if HAVE_SYSFS
-+static char *
-+sysfs_get_device_name_for_fd(int fd)
-+{
-+ char *device_name = NULL;
-+ unsigned int maj, min;
-+ FILE *f;
-+ char buf[0x40];
-+ static const char match[9] = "\0DEVNAME=";
-+ int expected = 1;
-+
-+ if (dev_node_from_fd(fd, &maj, &min) < 0)
-+ return NULL;
-+
-+ snprintf(buf, sizeof(buf), "/sys/dev/char/%d:%d/uevent", maj, min);
-+ if (!(f = fopen(buf, "r")))
-+ return NULL;
-+
-+ while (expected < sizeof(match)) {
-+ int c = getc(f);
-+
-+ if (c == EOF) {
-+ fclose(f);
-+ return NULL;
-+ } else if (c == match[expected] )
-+ expected++;
-+ else
-+ expected = 0;
-+ }
-+
-+ strcpy(buf, "/dev/");
-+ if (fgets(buf + 5, sizeof(buf) - 5, f))
-+ device_name = strdup(buf);
-+
-+ fclose(f);
- return device_name;
- }
-+#endif
-+
-+
-+char *
-+loader_get_device_name_for_fd(int fd)
-+{
-+ char *result = NULL;
-+
-+#if HAVE_LIBUDEV
-+ if ((result = libudev_get_device_name_for_fd(fd)))
-+ return result;
-+#endif
-+#if HAVE_SYSFS
-+ if ((result = sysfs_get_device_name_for_fd(fd)))
-+ return result;
-+#endif
-+ return result;
-+}
-
- char *
- loader_get_driver_for_fd(int fd, unsigned driver_types)
diff --git a/media-libs/mesa/files/mesa-8.1-dont-require-llvm-for-r300.patch b/media-libs/mesa/files/mesa-8.1-dont-require-llvm-for-r300.patch
deleted file mode 100644
index 9fe7e32..0000000
--- a/media-libs/mesa/files/mesa-8.1-dont-require-llvm-for-r300.patch
+++ /dev/null
@@ -1,25 +0,0 @@
---- a/configure.ac 2012-05-12 11:50:09.786970584 +0200
-+++ b/configure.ac 2012-05-12 12:00:00.770582272 +0200
-@@ -1922,14 +1922,6 @@
- fi
- }
-
--gallium_require_llvm() {
-- if test "x$MESA_LLVM" = x0; then
-- case "$host_cpu" in
-- i*86|x86_64) AC_MSG_ERROR([LLVM is required to build $1 on x86 and x86_64]);;
-- esac
-- fi
--}
--
- gallium_require_drm_loader() {
- if test "x$enable_gallium_loader" = xyes; then
- PKG_CHECK_MODULES([LIBUDEV], [libudev], [],
-@@ -1962,7 +1954,6 @@
- ;;
- xr300)
- PKG_CHECK_MODULES([RADEON], [libdrm_radeon >= $LIBDRM_RADEON_REQUIRED])
-- gallium_require_llvm "Gallium R300"
- GALLIUM_DRIVERS_DIRS="$GALLIUM_DRIVERS_DIRS r300"
- gallium_check_st "radeon/drm" "dri-r300" "xorg-r300" "" "xvmc-r300" "vdpau-r300" "va-r300"
- ;;
diff --git a/media-libs/mesa/files/mesa-9.1.6-endian.patch b/media-libs/mesa/files/mesa-9.1.6-endian.patch
deleted file mode 100644
index 98914b0..0000000
--- a/media-libs/mesa/files/mesa-9.1.6-endian.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/Mesa-9.1.6/src/gallium/include/pipe/p_config.h
-+++ b/Mesa-9.1.6/src/gallium/include/pipe/p_config.h
-@@ -115,7 +115,7 @@
- * Endian detection.
- */
-
--#ifdef __GLIBC__
-+#if 1
- #include <endian.h>
-
- #if __BYTE_ORDER == __LITTLE_ENDIAN
diff --git a/media-libs/mesa/files/mesa-9.1.6-remove-error_h.patch b/media-libs/mesa/files/mesa-9.1.6-remove-error_h.patch
deleted file mode 100644
index c12d6fd..0000000
--- a/media-libs/mesa/files/mesa-9.1.6-remove-error_h.patch
+++ /dev/null
@@ -1,33 +0,0 @@
-diff -Naur Mesa-9.1.6.orig/src/gallium/state_trackers/xvmc/tests/xvmc_bench.c Mesa-9.1.6/src/gallium/state_trackers/xvmc/tests/xvmc_bench.c
---- Mesa-9.1.6.orig/src/gallium/state_trackers/xvmc/tests/xvmc_bench.c 2013-07-31 22:56:45.000000000 +0000
-+++ Mesa-9.1.6/src/gallium/state_trackers/xvmc/tests/xvmc_bench.c 2014-02-21 20:20:43.470217630 +0000
-@@ -28,7 +28,7 @@
- #include <assert.h>
- #include <stdio.h>
- #include <string.h>
--#include <error.h>
-+#include <err.h>
- #include <sys/time.h>
- #include "testlib.h"
-
-@@ -144,9 +144,9 @@
- }
-
- if (fail)
-- error
-+ err
- (
-- 1, 0,
-+ 1,
- "Bad argument.\n"
- "\n"
- "Usage: %s [options]\n"
-@@ -214,7 +214,7 @@
- ))
- {
- XCloseDisplay(display);
-- error(1, 0, "Error, unable to find a good port.\n");
-+ err(1, "Error, unable to find a good port.\n");
- }
-
- if (is_overlay)
diff --git a/media-libs/mesa/files/mesa-9.2-dont-require-llvm-for-r300.patch b/media-libs/mesa/files/mesa-9.2-dont-require-llvm-for-r300.patch
deleted file mode 100644
index bd24787..0000000
--- a/media-libs/mesa/files/mesa-9.2-dont-require-llvm-for-r300.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff --git a/configure.ac b/configure.ac
-index 21a1986..94b2247 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -1777,7 +1777,6 @@ if test "x$with_gallium_drivers" != x; then
- xr300)
- HAVE_GALLIUM_R300=yes
- PKG_CHECK_MODULES([RADEON], [libdrm_radeon >= $LIBDRM_RADEON_REQUIRED])
-- gallium_require_llvm "Gallium R300"
- GALLIUM_DRIVERS_DIRS="$GALLIUM_DRIVERS_DIRS r300"
- gallium_check_st "radeon/drm" "dri-r300" "" "" "xvmc-r300" "vdpau-r300"
- ;;
diff --git a/media-libs/mesa/mesa-10.0.4-r99.ebuild b/media-libs/mesa/mesa-10.0.4-r99.ebuild
deleted file mode 100644
index dba438b..0000000
--- a/media-libs/mesa/mesa-10.0.4-r99.ebuild
+++ /dev/null
@@ -1,501 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-10.0.4.ebuild,v 1.3 2014/03/28 01:43:51 jer Exp $
-
-EAPI=5
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
-
-if [[ ${PV} = 9999* ]]; then
- GIT_ECLASS="git-2"
- EXPERIMENTAL="true"
-fi
-
-PYTHON_COMPAT=( python{2_6,2_7} )
-
-inherit base autotools multilib multilib-minimal flag-o-matic \
- python-any-r1 toolchain-funcs ${GIT_ECLASS}
-
-OPENGL_DIR="xorg-x11"
-
-MY_PN="${PN/m/M}"
-MY_P="${MY_PN}-${PV/_/-}"
-MY_SRC_P="${MY_PN}Lib-${PV/_/-}"
-
-FOLDER="${PV}"
-
-DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="http://mesa3d.sourceforge.net/"
-
-#SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2"
-if [[ $PV = 9999* ]]; then
- SRC_URI="${SRC_PATCHES}"
-else
- SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
- ${SRC_PATCHES}"
-fi
-
-# The code is MIT/X11.
-# GLES[2]/gl[2]{,ext,platform}.h are SGI-B-2.0
-LICENSE="MIT SGI-B-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~mips ppc x86"
-
-INTEL_CARDS="i915 i965 ilo intel"
-RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} freedreno nouveau vmware"
-for card in ${VIDEO_CARDS}; do
- IUSE_VIDEO_CARDS+=" video_cards_${card}"
-done
-
-IUSE="${IUSE_VIDEO_CARDS}
- bindist +classic debug +egl +gallium gbm gles1 gles2 +llvm +nptl
- llvm-shared-libs opencl openvg osmesa pax_kernel pic r600-llvm-compiler
- selinux vdpau wayland xvmc xa kernel_FreeBSD"
-
-REQUIRED_USE="
- llvm? ( gallium )
- openvg? ( egl gallium )
- opencl? (
- gallium
- video_cards_r600? ( r600-llvm-compiler )
- video_cards_radeon? ( r600-llvm-compiler )
- video_cards_radeonsi? ( r600-llvm-compiler )
- )
- gles1? ( egl )
- gles2? ( egl )
- r600-llvm-compiler? ( gallium llvm || ( video_cards_r600 video_cards_radeonsi video_cards_radeon ) )
- wayland? ( egl gbm )
- xa? ( gallium )
- video_cards_freedreno? ( gallium )
- video_cards_intel? ( || ( classic gallium ) )
- video_cards_i915? ( || ( classic gallium ) )
- video_cards_i965? ( classic )
- video_cards_ilo? ( gallium )
- video_cards_nouveau? ( || ( classic gallium ) )
- video_cards_radeon? ( || ( classic gallium ) )
- video_cards_r100? ( classic )
- video_cards_r200? ( classic )
- video_cards_r300? ( gallium )
- video_cards_r600? ( gallium )
- video_cards_radeonsi? ( gallium llvm )
- video_cards_vmware? ( gallium )
- ${PYTHON_REQUIRED_USE}
-"
-
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.49"
-# keep correct libdrm and dri2proto dep
-# keep blocks in rdepend for binpkg
-RDEPEND="
- !<x11-base/xorg-server-1.7
- !<=x11-proto/xf86driproto-2.0.3
- abi_x86_32? ( !app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)] )
- classic? ( app-eselect/eselect-mesa )
- gallium? ( app-eselect/eselect-mesa )
- >=app-eselect/eselect-opengl-1.2.7
- dev-libs/expat[${MULTILIB_USEDEP}]
- gbm? ( virtual/udev[${MULTILIB_USEDEP}] )
- >=x11-libs/libX11-1.3.99.901[${MULTILIB_USEDEP}]
- >=x11-libs/libxshmfence-1.0[${MULTILIB_USEDEP}]
- x11-libs/libXdamage[${MULTILIB_USEDEP}]
- x11-libs/libXext[${MULTILIB_USEDEP}]
- x11-libs/libXxf86vm[${MULTILIB_USEDEP}]
- >=x11-libs/libxcb-1.9.2[${MULTILIB_USEDEP}]
- llvm? (
- video_cards_radeonsi? ( || (
- dev-libs/elfutils[${MULTILIB_USEDEP}]
- dev-libs/libelf[${MULTILIB_USEDEP}]
- ) )
- video_cards_r600? ( || (
- dev-libs/elfutils[${MULTILIB_USEDEP}]
- dev-libs/libelf[${MULTILIB_USEDEP}]
- ) )
- !video_cards_r600? (
- video_cards_radeon? ( || (
- dev-libs/elfutils[${MULTILIB_USEDEP}]
- dev-libs/libelf[${MULTILIB_USEDEP}]
- ) )
- )
- llvm-shared-libs? ( >=sys-devel/llvm-2.9[${MULTILIB_USEDEP}] )
- )
- opencl? (
- app-eselect/eselect-opencl
- dev-libs/libclc
- )
- vdpau? ( >=x11-libs/libvdpau-0.4.1[${MULTILIB_USEDEP}] )
- wayland? ( >=dev-libs/wayland-1.2.0[${MULTILIB_USEDEP}] )
- xvmc? ( >=x11-libs/libXvMC-1.0.6[${MULTILIB_USEDEP}] )
- ${LIBDRM_DEPSTRING}[video_cards_freedreno?,video_cards_nouveau?,video_cards_vmware?,${MULTILIB_USEDEP}]
-"
-for card in ${INTEL_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
- "
-done
-
-for card in ${RADEON_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
- "
-done
-
-DEPEND="${RDEPEND}
- llvm? (
- >=sys-devel/llvm-2.9[${MULTILIB_USEDEP}]
- r600-llvm-compiler? ( sys-devel/llvm[video_cards_radeon] )
- video_cards_radeonsi? ( sys-devel/llvm[video_cards_radeon] )
- )
- opencl? (
- >=sys-devel/llvm-3.3-r1[video_cards_radeon,${MULTILIB_USEDEP}]
- >=sys-devel/clang-3.3[${MULTILIB_USEDEP}]
- >=sys-devel/gcc-4.6
- )
- sys-devel/bison
- sys-devel/flex
- virtual/pkgconfig
- >=x11-proto/dri2proto-2.6[${MULTILIB_USEDEP}]
- >=x11-proto/dri3proto-1.0[${MULTILIB_USEDEP}]
- >=x11-proto/presentproto-1.0[${MULTILIB_USEDEP}]
- >=x11-proto/glproto-1.4.15-r1[${MULTILIB_USEDEP}]
- >=x11-proto/xextproto-7.0.99.1[${MULTILIB_USEDEP}]
- x11-proto/xf86driproto[${MULTILIB_USEDEP}]
- x11-proto/xf86vidmodeproto[${MULTILIB_USEDEP}]
- $(python_gen_any_dep 'dev-libs/libxml2[python,${PYTHON_USEDEP}]')
-"
-
-python_check_deps() {
- has_version --host-root "dev-libs/libxml2[python,${PYTHON_USEDEP}]"
-}
-
-S="${WORKDIR}/${MY_P}"
-
-# It is slow without texrels, if someone wants slow
-# mesa without texrels +pic use is worth the shot
-QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-
-# Think about: ggi, fbcon, no-X configs
-
-pkg_setup() {
- # workaround toc-issue wrt #386545
- use ppc64 && append-flags -mminimal-toc
-
- # warning message for bug 459306
- if use llvm && has_version sys-devel/llvm[!debug=]; then
- ewarn "Mismatch between debug USE flags in media-libs/mesa and sys-devel/llvm"
- ewarn "detected! This can cause problems. For details, see bug 459306."
- fi
-
- python-any-r1_pkg_setup
-}
-
-src_unpack() {
- default
- [[ $PV = 9999* ]] && git-2_src_unpack
-}
-
-src_prepare() {
- # apply patches
- if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
- EPATCH_FORCE="yes" \
- EPATCH_SOURCE="${WORKDIR}/patches" \
- EPATCH_SUFFIX="patch" \
- epatch
- fi
-
- # relax the requirement that r300 must have llvm, bug 380303
- epatch "${FILESDIR}"/mesa-9.2-dont-require-llvm-for-r300.patch
- epatch "${FILESDIR}"/mesa-9.1.6-fpclassify.patch
-
- # fix for hardened pax_kernel, bug 240956
- [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
-
- # Solaris needs some recent POSIX stuff in our case
- if [[ ${CHOST} == *-solaris* ]] ; then
- sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die
- fi
-
- base_src_prepare
-
- eautoreconf
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local myconf
-
- if use classic; then
- # Configurable DRI drivers
- driver_enable swrast
-
- # Intel code
- driver_enable video_cards_i915 i915
- driver_enable video_cards_i965 i965
- if ! use video_cards_i915 && \
- ! use video_cards_i965; then
- driver_enable video_cards_intel i915 i965
- fi
-
- # Nouveau code
- driver_enable video_cards_nouveau nouveau
-
- # ATI code
- driver_enable video_cards_r100 radeon
- driver_enable video_cards_r200 r200
- if ! use video_cards_r100 && \
- ! use video_cards_r200; then
- driver_enable video_cards_radeon radeon r200
- fi
- fi
-
- if use egl; then
- myconf+="--with-egl-platforms=x11$(use wayland && echo ",wayland")$(use gbm && echo ",drm") "
- fi
-
- if use gallium; then
- myconf+="
- $(use_enable llvm gallium-llvm)
- $(use_enable openvg)
- $(use_enable openvg gallium-egl)
- $(use_enable r600-llvm-compiler)
- $(use_enable vdpau)
- $(use_enable xa)
- $(use_enable xvmc)
- "
- gallium_enable swrast
- gallium_enable video_cards_vmware svga
- gallium_enable video_cards_nouveau nouveau
- gallium_enable video_cards_i915 i915
- gallium_enable video_cards_ilo ilo
- if ! use video_cards_i915 && \
- ! use video_cards_i965; then
- gallium_enable video_cards_intel i915
- fi
-
- gallium_enable video_cards_r300 r300
- gallium_enable video_cards_r600 r600
- gallium_enable video_cards_radeonsi radeonsi
- if ! use video_cards_r300 && \
- ! use video_cards_r600; then
- gallium_enable video_cards_radeon r300 r600
- fi
-
- gallium_enable video_cards_freedreno freedreno
- # opencl stuff
- if use opencl; then
- myconf+="
- $(use_enable opencl)
- --with-opencl-libdir="${EPREFIX}/usr/$(get_libdir)/OpenCL/vendors/mesa"
- --with-clang-libdir="${EPREFIX}/usr/lib"
- "
- fi
- fi
-
- # x86 hardened pax_kernel needs glx-rts, bug 240956
- if use pax_kernel; then
- myconf+="
- $(use_enable x86 glx-rts)
- "
- fi
-
- # build fails with BSD indent, bug #428112
- use userland_GNU || export INDENT=cat
-
- if ! multilib_is_native_abi; then
- myconf+="LLVM_CONFIG=${EPREFIX}/usr/bin/llvm-config.${ABI}"
- fi
-
- econf \
- --enable-dri \
- --enable-glx \
- --enable-shared-glapi \
- $(use_enable !bindist texture-float) \
- $(use_enable debug) \
- $(use_enable egl) \
- $(use_enable gbm) \
- $(use_enable gles1) \
- $(use_enable gles2) \
- $(use_enable nptl glx-tls) \
- $(use_enable osmesa) \
- $(use_enable !pic asm) \
- $(use_with llvm-shared-libs) \
- --with-dri-drivers=${DRI_DRIVERS} \
- --with-gallium-drivers=${GALLIUM_DRIVERS} \
- PYTHON2="${PYTHON}" \
- ${myconf}
-}
-
-multilib_src_install() {
- emake install DESTDIR="${D}"
-
- # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
- # because user can eselect desired GL provider.
- ebegin "Moving libGL and friends for dynamic switching"
- local x
- local gl_dir="/usr/$(get_libdir)/opengl/${OPENGL_DIR}/"
- dodir ${gl_dir}/{lib,extensions,include/GL}
- for x in "${ED}"/usr/$(get_libdir)/lib{EGL,GL*,OpenVG}.{la,a,so*}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/lib \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/include/GL \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/{EGL,GLES*,VG,KHR}; do
- if [ -d ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/include \
- || die "Failed to move ${x}"
- fi
- done
- eend $?
-
- if use classic || use gallium; then
- ebegin "Moving DRI/Gallium drivers for dynamic switching"
- local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
- keepdir /usr/$(get_libdir)/dri
- dodir /usr/$(get_libdir)/mesa
- for x in ${gallium_drivers[@]}; do
- if [ -f "$(get_libdir)/gallium/${x}" ]; then
- mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
- || die "Failed to move ${x}"
- insinto "/usr/$(get_libdir)/dri/"
- if [ -f "$(get_libdir)/${x}" ]; then
- insopts -m0755
- doins "$(get_libdir)/${x}"
- fi
- fi
- done
- for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${x/dri/mesa}" \
- || die "Failed to move ${x}"
- fi
- done
- pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
- ln -s ../mesa/*.so . || die "Creating symlink failed"
- # remove symlinks to drivers known to eselect
- for x in ${gallium_drivers[@]}; do
- if [ -f ${x} -o -L ${x} ]; then
- rm "${x}" || die "Failed to remove ${x}"
- fi
- done
- popd
- eend $?
- fi
- if use opencl; then
- ebegin "Moving Gallium/Clover OpenCL implementation for dynamic switching"
- local cl_dir="/usr/$(get_libdir)/OpenCL/vendors/mesa"
- dodir ${cl_dir}/{lib,include}
- if [ -f "${ED}/usr/$(get_libdir)/libOpenCL.so" ]; then
- mv -f "${ED}"/usr/$(get_libdir)/libOpenCL.so* \
- "${ED}"${cl_dir}
- fi
- if [ -f "${ED}/usr/include/CL/opencl.h" ]; then
- mv -f "${ED}"/usr/include/CL \
- "${ED}"${cl_dir}/include
- fi
- eend $?
- fi
-}
-
-multilib_src_install_all() {
- prune_libtool_files --all
- einstalldocs
-
- if use !bindist; then
- dodoc docs/patents.txt
- fi
-
- # Install config file for eselect mesa
- insinto /usr/share/mesa
- newins "${FILESDIR}/eselect-mesa.conf.9.2" eselect-mesa.conf
-}
-
-multilib_src_test() {
- emake check
-}
-
-pkg_postinst() {
- # Switch to the xorg implementation.
- echo
- eselect opengl set --use-old ${OPENGL_DIR}
-
- # switch to xorg-x11 and back if necessary, bug #374647 comment 11
- OLD_IMPLEM="$(eselect opengl show)"
- if [[ ${OPENGL_DIR}x != ${OLD_IMPLEM}x ]]; then
- eselect opengl set ${OPENGL_DIR}
- eselect opengl set ${OLD_IMPLEM}
- fi
-
- # Select classic/gallium drivers
- if use classic || use gallium; then
- eselect mesa set --auto
- fi
-
- # Switch to mesa opencl
- if use opencl; then
- eselect opencl set --use-old ${PN}
- fi
-
- # warn about patent encumbered texture-float
- if use !bindist; then
- elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
- elog "enabled. Please see patents.txt for an explanation."
- fi
-
- local using_radeon r_flag
- for r_flag in ${RADEON_CARDS}; do
- if use video_cards_${r_flag}; then
- using_radeon=1
- break
- fi
- done
-
- if [[ ${using_radeon} = 1 ]] && ! has_version media-libs/libtxc_dxtn; then
- elog "Note that in order to have full S3TC support, it is necessary to install"
- elog "media-libs/libtxc_dxtn as well. This may be necessary to get nice"
- elog "textures in some apps, and some others even require this to run."
- fi
-}
-
-# $1 - VIDEO_CARDS flag
-# other args - names of DRI drivers to enable
-# TODO: avoid code duplication for a more elegant implementation
-driver_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- DRI_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- DRI_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
-
-gallium_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- GALLIUM_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- GALLIUM_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
diff --git a/media-libs/mesa/mesa-10.2.8-r99.ebuild b/media-libs/mesa/mesa-10.2.8-r99.ebuild
deleted file mode 100644
index a5fd997..0000000
--- a/media-libs/mesa/mesa-10.2.8-r99.ebuild
+++ /dev/null
@@ -1,537 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-10.2.8.ebuild,v 1.10 2015/01/09 20:53:31 klausman Exp $
-
-EAPI=5
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
-
-if [[ ${PV} = 9999* ]]; then
- GIT_ECLASS="git-r3"
- EXPERIMENTAL="true"
-fi
-
-PYTHON_COMPAT=( python{2_6,2_7} )
-
-inherit base autotools multilib multilib-minimal flag-o-matic \
- python-any-r1 toolchain-funcs pax-utils ${GIT_ECLASS}
-
-OPENGL_DIR="xorg-x11"
-
-MY_PN="${PN/m/M}"
-MY_P="${MY_PN}-${PV/_/-}"
-MY_SRC_P="${MY_PN}Lib-${PV/_/-}"
-
-FOLDER="${PV/.0_rc*/}"
-
-DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="http://mesa3d.sourceforge.net/"
-
-#SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2"
-if [[ $PV = 9999* ]]; then
- SRC_URI="${SRC_PATCHES}"
-else
- SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
- ${SRC_PATCHES}"
-fi
-
-# The code is MIT/X11.
-# GLES[2]/gl[2]{,ext,platform}.h are SGI-B-2.0
-LICENSE="MIT SGI-B-2.0"
-SLOT="0"
-KEYWORDS="amd64 arm ~mips ppc x86"
-
-INTEL_CARDS="i915 i965 ilo intel"
-RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} freedreno nouveau vmware"
-for card in ${VIDEO_CARDS}; do
- IUSE_VIDEO_CARDS+=" video_cards_${card}"
-done
-
-IUSE="${IUSE_VIDEO_CARDS}
- bindist +classic debug +dri3 +egl +gallium +gbm gles1 gles2 +llvm +nptl
- opencl openvg osmesa pax_kernel openmax pic r600-llvm-compiler selinux
- +udev vdpau wayland xvmc xa kernel_FreeBSD kernel_linux"
-
-REQUIRED_USE="
- llvm? ( gallium )
- openvg? ( egl gallium )
- opencl? (
- gallium
- video_cards_r600? ( r600-llvm-compiler )
- video_cards_radeon? ( r600-llvm-compiler )
- video_cards_radeonsi? ( r600-llvm-compiler )
- )
- openmax? ( gallium )
- gles1? ( egl )
- gles2? ( egl )
- r600-llvm-compiler? ( gallium llvm || ( video_cards_r600 video_cards_radeonsi video_cards_radeon ) )
- wayland? ( egl gbm )
- xa? ( gallium )
- video_cards_freedreno? ( gallium )
- video_cards_intel? ( || ( classic gallium ) )
- video_cards_i915? ( || ( classic gallium ) )
- video_cards_i965? ( classic )
- video_cards_ilo? ( gallium )
- video_cards_nouveau? ( || ( classic gallium ) )
- video_cards_radeon? ( || ( classic gallium ) )
- video_cards_r100? ( classic )
- video_cards_r200? ( classic )
- video_cards_r300? ( gallium )
- video_cards_r600? ( gallium )
- video_cards_radeonsi? ( gallium llvm )
- video_cards_vmware? ( gallium )
- ${PYTHON_REQUIRED_USE}
-"
-
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.54"
-# keep correct libdrm and dri2proto dep
-# keep blocks in rdepend for binpkg
-RDEPEND="
- !<x11-base/xorg-server-1.7
- !<=x11-proto/xf86driproto-2.0.3
- abi_x86_32? ( !app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)] )
- classic? ( app-eselect/eselect-mesa )
- gallium? ( app-eselect/eselect-mesa )
- >=app-eselect/eselect-opengl-1.2.7
- udev? ( kernel_linux? ( >=virtual/libudev-215:=[${MULTILIB_USEDEP}] ) )
- >=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
- >=x11-libs/libX11-1.6.2:=[${MULTILIB_USEDEP}]
- >=x11-libs/libxshmfence-1.1:=[${MULTILIB_USEDEP}]
- >=x11-libs/libXdamage-1.1.4-r1:=[${MULTILIB_USEDEP}]
- >=x11-libs/libXext-1.3.2:=[${MULTILIB_USEDEP}]
- >=x11-libs/libXxf86vm-1.1.3:=[${MULTILIB_USEDEP}]
- >=x11-libs/libxcb-1.9.3:=[${MULTILIB_USEDEP}]
- llvm? (
- video_cards_radeonsi? ( || (
- >=dev-libs/elfutils-0.155-r1:=[${MULTILIB_USEDEP}]
- >=dev-libs/libelf-0.8.13-r2:=[${MULTILIB_USEDEP}]
- ) )
- video_cards_r600? ( || (
- >=dev-libs/elfutils-0.155-r1:=[${MULTILIB_USEDEP}]
- >=dev-libs/libelf-0.8.13-r2:=[${MULTILIB_USEDEP}]
- ) )
- !video_cards_r600? (
- video_cards_radeon? ( || (
- >=dev-libs/elfutils-0.155-r1:=[${MULTILIB_USEDEP}]
- >=dev-libs/libelf-0.8.13-r2:=[${MULTILIB_USEDEP}]
- ) )
- )
- >=sys-devel/llvm-3.3-r3:=[${MULTILIB_USEDEP}]
- )
- opencl? (
- app-eselect/eselect-opencl
- dev-libs/libclc
- )
- openmax? ( >=media-libs/libomxil-bellagio-0.9.3:=[${MULTILIB_USEDEP}] )
- vdpau? ( >=x11-libs/libvdpau-0.7:=[${MULTILIB_USEDEP}] )
- wayland? ( >=dev-libs/wayland-1.2.0:=[${MULTILIB_USEDEP}] )
- xvmc? ( >=x11-libs/libXvMC-1.0.8:=[${MULTILIB_USEDEP}] )
- ${LIBDRM_DEPSTRING}[video_cards_freedreno?,video_cards_nouveau?,video_cards_vmware?,${MULTILIB_USEDEP}]
-"
-for card in ${INTEL_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
- "
-done
-
-for card in ${RADEON_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
- "
-done
-
-DEPEND="${RDEPEND}
- ${PYTHON_DEPS}
- llvm? (
- r600-llvm-compiler? ( sys-devel/llvm[video_cards_radeon] )
- video_cards_radeonsi? ( sys-devel/llvm[video_cards_radeon] )
- )
- opencl? (
- >=sys-devel/llvm-3.3-r3:=[${MULTILIB_USEDEP}]
- >=sys-devel/clang-3.3:=[${MULTILIB_USEDEP}]
- >=sys-devel/gcc-4.6
- )
- sys-devel/bison
- sys-devel/flex
- sys-devel/gettext
- virtual/pkgconfig
- >=x11-proto/dri2proto-2.8-r1:=[${MULTILIB_USEDEP}]
- dri3? (
- >=x11-proto/dri3proto-1.0:=[${MULTILIB_USEDEP}]
- >=x11-proto/presentproto-1.0:=[${MULTILIB_USEDEP}]
- )
- >=x11-proto/glproto-1.4.16-r1:=[${MULTILIB_USEDEP}]
- >=x11-proto/xextproto-7.2.1-r1:=[${MULTILIB_USEDEP}]
- >=x11-proto/xf86driproto-2.1.1-r1:=[${MULTILIB_USEDEP}]
- >=x11-proto/xf86vidmodeproto-2.3.1-r1:=[${MULTILIB_USEDEP}]
-"
-
-S="${WORKDIR}/${MY_P}"
-EGIT_CHECKOUT_DIR=${S}
-
-# It is slow without texrels, if someone wants slow
-# mesa without texrels +pic use is worth the shot
-QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-
-# Think about: ggi, fbcon, no-X configs
-
-pkg_setup() {
- # workaround toc-issue wrt #386545
- use ppc64 && append-flags -mminimal-toc
-
- # warning message for bug 459306
- if use llvm && has_version sys-devel/llvm[!debug=]; then
- ewarn "Mismatch between debug USE flags in media-libs/mesa and sys-devel/llvm"
- ewarn "detected! This can cause problems. For details, see bug 459306."
- fi
-
- python-any-r1_pkg_setup
-}
-
-src_unpack() {
- default
- [[ $PV = 9999* ]] && git-r3_src_unpack
-}
-
-src_prepare() {
- # apply patches
- if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
- EPATCH_FORCE="yes" \
- EPATCH_SOURCE="${WORKDIR}/patches" \
- EPATCH_SUFFIX="patch" \
- epatch
- fi
-
- # relax the requirement that r300 must have llvm, bug 380303
- epatch "${FILESDIR}"/${PN}-10.2-dont-require-llvm-for-r300.patch
-
- # allow sysfs to serve pci ids instead of libudev
- epatch "${FILESDIR}"/${PN}-10.2-sysfs-instead-of-libudev.patch
-
- # musl fixes
- epatch "${FILESDIR}"/${PN}-9.1.6-fpclassify.patch
- epatch "${FILESDIR}"/${PN}-10-pthread.patch
-
- # fix for hardened pax_kernel, bug 240956
- [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
-
- # Solaris needs some recent POSIX stuff in our case
- if [[ ${CHOST} == *-solaris* ]] ; then
- sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die
- fi
-
- base_src_prepare
-
- eautoreconf
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local myconf
-
- if use classic; then
- # Configurable DRI drivers
- driver_enable swrast
-
- # Intel code
- driver_enable video_cards_i915 i915
- driver_enable video_cards_i965 i965
- if ! use video_cards_i915 && \
- ! use video_cards_i965; then
- driver_enable video_cards_intel i915 i965
- fi
-
- # Nouveau code
- driver_enable video_cards_nouveau nouveau
-
- # ATI code
- driver_enable video_cards_r100 radeon
- driver_enable video_cards_r200 r200
- if ! use video_cards_r100 && \
- ! use video_cards_r200; then
- driver_enable video_cards_radeon radeon r200
- fi
- fi
-
- if use egl; then
- myconf+="--with-egl-platforms=x11$(use wayland && echo ",wayland")$(use gbm && echo ",drm") "
- fi
-
- if use gallium; then
- myconf+="
- $(use_enable llvm gallium-llvm)
- $(use_enable openvg)
- $(use_enable openvg gallium-egl)
- $(use_enable openmax omx)
- $(use_enable r600-llvm-compiler)
- $(use_enable vdpau)
- $(use_enable xa)
- $(use_enable xvmc)
- "
- gallium_enable swrast
- gallium_enable video_cards_vmware svga
- gallium_enable video_cards_nouveau nouveau
- gallium_enable video_cards_i915 i915
- gallium_enable video_cards_ilo ilo
- if ! use video_cards_i915 && \
- ! use video_cards_i965; then
- gallium_enable video_cards_intel i915
- fi
-
- gallium_enable video_cards_r300 r300
- gallium_enable video_cards_r600 r600
- gallium_enable video_cards_radeonsi radeonsi
- if ! use video_cards_r300 && \
- ! use video_cards_r600; then
- gallium_enable video_cards_radeon r300 r600
- fi
-
- gallium_enable video_cards_freedreno freedreno
- # opencl stuff
- if use opencl; then
- myconf+="
- $(use_enable opencl)
- --with-opencl-libdir="${EPREFIX}/usr/$(get_libdir)/OpenCL/vendors/mesa"
- --with-clang-libdir="${EPREFIX}/usr/lib"
- "
- fi
- fi
-
- # x86 hardened pax_kernel needs glx-rts, bug 240956
- if use pax_kernel; then
- myconf+="
- $(use_enable x86 glx-rts)
- "
- fi
-
- # on abi_x86_32 hardened we need to have asm disable
- if [[ ${ABI} == x86* ]] && use pic; then
- myconf+=" --disable-asm"
- fi
-
- # build fails with BSD indent, bug #428112
- use userland_GNU || export INDENT=cat
-
- econf \
- --enable-dri \
- --enable-glx \
- --enable-shared-glapi \
- $(use_enable !bindist texture-float) \
- $(use_enable debug) \
- $(use_enable dri3) \
- $(use_enable egl) \
- $(use_enable gbm) \
- $(use_enable gles1) \
- $(use_enable gles2) \
- $(use_enable nptl glx-tls) \
- $(use_enable osmesa) \
- $(use_enable !udev sysfs) \
- --enable-llvm-shared-libs \
- --with-dri-drivers=${DRI_DRIVERS} \
- --with-gallium-drivers=${GALLIUM_DRIVERS} \
- PYTHON2="${PYTHON}" \
- ${myconf}
-}
-
-multilib_src_install() {
- emake install DESTDIR="${D}"
-
- # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
- # because user can eselect desired GL provider.
- ebegin "Moving libGL and friends for dynamic switching"
- local x
- local gl_dir="/usr/$(get_libdir)/opengl/${OPENGL_DIR}/"
- dodir ${gl_dir}/{lib,extensions,include/GL}
- for x in "${ED}"/usr/$(get_libdir)/lib{EGL,GL*,OpenVG}.{la,a,so*}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/lib \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/include/GL \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/{EGL,GLES*,VG,KHR}; do
- if [ -d ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/include \
- || die "Failed to move ${x}"
- fi
- done
- eend $?
-
- if use classic || use gallium; then
- ebegin "Moving DRI/Gallium drivers for dynamic switching"
- local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
- keepdir /usr/$(get_libdir)/dri
- dodir /usr/$(get_libdir)/mesa
- for x in ${gallium_drivers[@]}; do
- if [ -f "$(get_libdir)/gallium/${x}" ]; then
- mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
- || die "Failed to move ${x}"
- fi
- done
- if use classic; then
- emake -C "${BUILD_DIR}/src/mesa/drivers/dri" DESTDIR="${D}" install
- fi
- for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${x/dri/mesa}" \
- || die "Failed to move ${x}"
- fi
- done
- pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
- ln -s ../mesa/*.so . || die "Creating symlink failed"
- # remove symlinks to drivers known to eselect
- for x in ${gallium_drivers[@]}; do
- if [ -f ${x} -o -L ${x} ]; then
- rm "${x}" || die "Failed to remove ${x}"
- fi
- done
- popd
- eend $?
- fi
- if use opencl; then
- ebegin "Moving Gallium/Clover OpenCL implementation for dynamic switching"
- local cl_dir="/usr/$(get_libdir)/OpenCL/vendors/mesa"
- dodir ${cl_dir}/{lib,include}
- if [ -f "${ED}/usr/$(get_libdir)/libOpenCL.so" ]; then
- mv -f "${ED}"/usr/$(get_libdir)/libOpenCL.so* \
- "${ED}"${cl_dir}
- fi
- if [ -f "${ED}/usr/include/CL/opencl.h" ]; then
- mv -f "${ED}"/usr/include/CL \
- "${ED}"${cl_dir}/include
- fi
- eend $?
- fi
-
- if use openmax; then
- echo "XDG_DATA_DIRS=\"${EPREFIX}/usr/share/mesa/xdg\"" > "${T}/99mesaxdgomx"
- doenvd "${T}"/99mesaxdgomx
- keepdir /usr/share/mesa/xdg
- fi
-}
-
-multilib_src_install_all() {
- prune_libtool_files --all
- einstalldocs
-
- if use !bindist; then
- dodoc docs/patents.txt
- fi
-
- # Install config file for eselect mesa
- insinto /usr/share/mesa
- newins "${FILESDIR}/eselect-mesa.conf.9.2" eselect-mesa.conf
-}
-
-multilib_src_test() {
- if use llvm; then
- local llvm_tests='lp_test_arit lp_test_arit lp_test_blend lp_test_blend lp_test_conv lp_test_conv lp_test_format lp_test_format lp_test_printf lp_test_printf'
- pushd src/gallium/drivers/llvmpipe >/dev/null || die
- emake ${llvm_tests}
- pax-mark m ${llvm_tests}
- popd >/dev/null || die
- fi
- emake check
-}
-
-pkg_postinst() {
- # Switch to the xorg implementation.
- echo
- eselect opengl set --use-old ${OPENGL_DIR}
-
- # switch to xorg-x11 and back if necessary, bug #374647 comment 11
- OLD_IMPLEM="$(eselect opengl show)"
- if [[ ${OPENGL_DIR}x != ${OLD_IMPLEM}x ]]; then
- eselect opengl set ${OPENGL_DIR}
- eselect opengl set ${OLD_IMPLEM}
- fi
-
- # Select classic/gallium drivers
- if use classic || use gallium; then
- eselect mesa set --auto
- fi
-
- # Switch to mesa opencl
- if use opencl; then
- eselect opencl set --use-old ${PN}
- fi
-
- # run omxregister-bellagio to make the OpenMAX drivers known system-wide
- if use openmax; then
- ebegin "Registering OpenMAX drivers"
- BELLAGIO_SEARCH_PATH="${EPREFIX}/usr/$(get_libdir)/libomxil-bellagio0" \
- OMX_BELLAGIO_REGISTRY=${EPREFIX}/usr/share/mesa/xdg/.omxregister \
- omxregister-bellagio
- eend $?
- fi
-
- # warn about patent encumbered texture-float
- if use !bindist; then
- elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
- elog "enabled. Please see patents.txt for an explanation."
- fi
-
- local using_radeon r_flag
- for r_flag in ${RADEON_CARDS}; do
- if use video_cards_${r_flag}; then
- using_radeon=1
- break
- fi
- done
-
- if [[ ${using_radeon} = 1 ]] && ! has_version media-libs/libtxc_dxtn; then
- elog "Note that in order to have full S3TC support, it is necessary to install"
- elog "media-libs/libtxc_dxtn as well. This may be necessary to get nice"
- elog "textures in some apps, and some others even require this to run."
- fi
-}
-
-pkg_prerm() {
- if use openmax; then
- rm "${EPREFIX}"/usr/share/mesa/xdg/.omxregister
- fi
-}
-
-# $1 - VIDEO_CARDS flag
-# other args - names of DRI drivers to enable
-# TODO: avoid code duplication for a more elegant implementation
-driver_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- DRI_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- DRI_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
-
-gallium_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- GALLIUM_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- GALLIUM_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
diff --git a/media-libs/mesa/mesa-10.3.7-r1.ebuild b/media-libs/mesa/mesa-10.3.7-r99.ebuild
index a805fe5..5417c73 100644
--- a/media-libs/mesa/mesa-10.3.7-r1.ebuild
+++ b/media-libs/mesa/mesa-10.3.7-r99.ebuild
@@ -39,7 +39,7 @@ fi
# GLES[2]/gl[2]{,ext,platform}.h are SGI-B-2.0
LICENSE="MIT SGI-B-2.0"
SLOT="0"
-KEYWORDS="amd64 ~arm ~mips ppc x86"
+KEYWORDS="amd64 arm ~mips ppc x86"
INTEL_CARDS="i915 i965 ilo intel"
RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
diff --git a/media-libs/mesa/mesa-9.1.6-r99.ebuild b/media-libs/mesa/mesa-9.1.6-r99.ebuild
deleted file mode 100644
index 90f05e0..0000000
--- a/media-libs/mesa/mesa-9.1.6-r99.ebuild
+++ /dev/null
@@ -1,427 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-9.1.6.ebuild,v 1.13 2014/01/26 20:28:12 chithanh Exp $
-
-EAPI=5
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
-
-if [[ ${PV} = 9999* ]]; then
- GIT_ECLASS="git-2"
- EXPERIMENTAL="true"
-fi
-
-PYTHON_COMPAT=( python{2_6,2_7} )
-
-inherit base autotools multilib flag-o-matic python-single-r1 toolchain-funcs ${GIT_ECLASS}
-
-OPENGL_DIR="xorg-x11"
-
-MY_PN="${PN/m/M}"
-MY_P="${MY_PN}-${PV/_rc/-rc}"
-MY_SRC_P="${MY_PN}Lib-${PV/_rc/-rc}"
-
-FOLDER="${PV/_rc*/}"
-
-DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="http://mesa3d.sourceforge.net/"
-
-#SRC_PATCHES="mirror://gentoo/${PN}-9.1-gentoo-patches-05.tar.bz2"
-if [[ $PV = 9999* ]]; then
- SRC_URI="${SRC_PATCHES}"
-else
- SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
- ${SRC_PATCHES}"
-fi
-
-# The code is MIT/X11.
-# GLES[2]/gl[2]{,ext,platform}.h are SGI-B-2.0
-LICENSE="MIT SGI-B-2.0"
-SLOT="0"
-KEYWORDS="amd64 arm ~mips ppc x86"
-
-INTEL_CARDS="i915 i965 intel"
-RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} nouveau vmware"
-for card in ${VIDEO_CARDS}; do
- IUSE_VIDEO_CARDS+=" video_cards_${card}"
-done
-
-IUSE="${IUSE_VIDEO_CARDS}
- bindist +classic debug +egl +gallium gbm gles1 gles2 +llvm +nptl
- openvg osmesa pax_kernel pic r600-llvm-compiler selinux +shared-glapi vdpau
- wayland xvmc xa xorg kernel_FreeBSD"
-
-REQUIRED_USE="
- llvm? ( gallium )
- openvg? ( egl gallium )
- gbm? ( shared-glapi )
- gles1? ( egl )
- gles2? ( egl )
- r600-llvm-compiler? ( gallium llvm || ( video_cards_r600 video_cards_radeon ) )
- wayland? ( egl )
- xa? ( gallium )
- xorg? ( gallium )
- video_cards_intel? ( || ( classic gallium ) )
- video_cards_i915? ( || ( classic gallium ) )
- video_cards_i965? ( classic )
- video_cards_nouveau? ( || ( classic gallium ) )
- video_cards_radeon? ( || ( classic gallium ) )
- video_cards_r100? ( classic )
- video_cards_r200? ( classic )
- video_cards_r300? ( gallium )
- video_cards_r600? ( gallium )
- video_cards_radeonsi? ( gallium llvm )
- video_cards_vmware? ( gallium )
-"
-
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.42"
-# keep correct libdrm and dri2proto dep
-# keep blocks in rdepend for binpkg
-RDEPEND="
- !<x11-base/xorg-server-1.7
- !<=x11-proto/xf86driproto-2.0.3
- classic? ( app-eselect/eselect-mesa )
- gallium? ( app-eselect/eselect-mesa )
- >=app-eselect/eselect-opengl-1.2.7
- dev-libs/expat
- gbm? ( virtual/udev )
- >=x11-libs/libX11-1.3.99.901
- x11-libs/libXdamage
- x11-libs/libXext
- x11-libs/libXxf86vm
- >=x11-libs/libxcb-1.8.1
- vdpau? ( >=x11-libs/libvdpau-0.4.1 )
- wayland? ( >=dev-libs/wayland-1.0.3 )
- xorg? (
- x11-base/xorg-server:=[-minimal]
- x11-libs/libdrm[libkms]
- )
- xvmc? ( >=x11-libs/libXvMC-1.0.6 )
- ${LIBDRM_DEPSTRING}[video_cards_nouveau?,video_cards_vmware?]
-"
-for card in ${INTEL_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
- "
-done
-
-for card in ${RADEON_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
- "
-done
-
-DEPEND="${RDEPEND}
- llvm? (
- <sys-devel/llvm-3.4
- >=sys-devel/llvm-2.9
- r600-llvm-compiler? ( sys-devel/llvm[video_cards_radeon] )
- video_cards_radeonsi? ( sys-devel/llvm[video_cards_radeon] )
- )
- ${PYTHON_DEPS}
- dev-libs/libxml2[python,${PYTHON_USEDEP}]
- sys-devel/bison
- sys-devel/flex
- virtual/pkgconfig
- >=x11-proto/dri2proto-2.6
- >=x11-proto/glproto-1.4.15-r1
- >=x11-proto/xextproto-7.0.99.1
- x11-proto/xf86driproto
- x11-proto/xf86vidmodeproto
-"
-
-S="${WORKDIR}/${MY_P}"
-
-# It is slow without texrels, if someone wants slow
-# mesa without texrels +pic use is worth the shot
-QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-
-# Think about: ggi, fbcon, no-X configs
-
-pkg_setup() {
- # workaround toc-issue wrt #386545
- use ppc64 && append-flags -mminimal-toc
-
- python-single-r1_pkg_setup
-}
-
-src_unpack() {
- default
- [[ $PV = 9999* ]] && git-2_src_unpack
-}
-
-src_prepare() {
- # apply patches
- if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
- EPATCH_FORCE="yes" \
- EPATCH_SOURCE="${WORKDIR}/patches" \
- EPATCH_SUFFIX="patch" \
- epatch
- fi
-
- # musl doesn have error, so we fall back on err.
- epatch "${FILESDIR}"/${PN}-9.1.6-remove-error_h.patch
-
- # relax the requirement that r300 must have llvm, bug 380303
- epatch "${FILESDIR}"/${PN}-8.1-dont-require-llvm-for-r300.patch
-
- # Make it compile with musl
- epatch "${FILESDIR}"/${PN}-9.1.6-fpclassify.patch
- epatch "${FILESDIR}"/${PN}-9.1.6-endian.patch
-
- # fix for hardened pax_kernel, bug 240956
- [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
-
- # Solaris needs some recent POSIX stuff in our case
- if [[ ${CHOST} == *-solaris* ]] ; then
- sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die
- fi
-
- # Tests fail against python-3, bug #407887
- sed -i 's|/usr/bin/env python|/usr/bin/env python2|' src/glsl/tests/compare_ir || die
-
- base_src_prepare
-
- eautoreconf
-}
-
-src_configure() {
- local myconf
-
- if use classic; then
- # Configurable DRI drivers
- driver_enable swrast
-
- # Intel code
- driver_enable video_cards_i915 i915
- driver_enable video_cards_i965 i965
- if ! use video_cards_i915 && \
- ! use video_cards_i965; then
- driver_enable video_cards_intel i915 i965
- fi
-
- # Nouveau code
- driver_enable video_cards_nouveau nouveau
-
- # ATI code
- driver_enable video_cards_r100 radeon
- driver_enable video_cards_r200 r200
- if ! use video_cards_r100 && \
- ! use video_cards_r200; then
- driver_enable video_cards_radeon radeon r200
- fi
- fi
-
- if use egl; then
- myconf+="
- --with-egl-platforms=x11$(use wayland && echo ",wayland")$(use gbm && echo ",drm")
- $(use_enable gallium gallium-egl)
- "
- fi
-
- if use gallium; then
- myconf+="
- $(use_enable llvm gallium-llvm)
- $(use_enable openvg)
- $(use_enable r600-llvm-compiler)
- $(use_enable vdpau)
- $(use_enable xvmc)
- "
- gallium_enable swrast
- gallium_enable video_cards_vmware svga
- gallium_enable video_cards_nouveau nouveau
- gallium_enable video_cards_i915 i915
- if ! use video_cards_i915; then
- gallium_enable video_cards_intel i915
- fi
-
- gallium_enable video_cards_r300 r300
- gallium_enable video_cards_r600 r600
- gallium_enable video_cards_radeonsi radeonsi
- if ! use video_cards_r300 && \
- ! use video_cards_r600; then
- gallium_enable video_cards_radeon r300 r600
- fi
- fi
-
- # x86 hardened pax_kernel needs glx-rts, bug 240956
- if use pax_kernel; then
- myconf+="
- $(use_enable x86 glx-rts)
- "
- fi
-
- # build fails with BSD indent, bug #428112
- use userland_GNU || export INDENT=cat
-
- econf \
- --enable-dri \
- --enable-glx \
- $(use_enable !bindist texture-float) \
- $(use_enable debug) \
- $(use_enable egl) \
- $(use_enable gbm) \
- $(use_enable gles1) \
- $(use_enable gles2) \
- $(use_enable nptl glx-tls) \
- $(use_enable osmesa) \
- $(use_enable !pic asm) \
- $(use_enable shared-glapi) \
- $(use_enable xa) \
- $(use_enable xorg) \
- --with-dri-drivers=${DRI_DRIVERS} \
- --with-gallium-drivers=${GALLIUM_DRIVERS} \
- PYTHON2="${PYTHON}" \
- ${myconf}
-}
-
-src_install() {
- base_src_install
-
- find "${ED}" -name '*.la' -exec rm -f {} + || die
-
- if use !bindist; then
- dodoc docs/patents.txt
- fi
-
- # Install config file for eselect mesa
- insinto /usr/share/mesa
- newins "${FILESDIR}/eselect-mesa.conf.8.1" eselect-mesa.conf
-
- # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
- # because user can eselect desired GL provider.
- ebegin "Moving libGL and friends for dynamic switching"
- local x
- local gl_dir="/usr/$(get_libdir)/opengl/${OPENGL_DIR}/"
- dodir ${gl_dir}/{lib,extensions,include/GL}
- for x in "${ED}"/usr/$(get_libdir)/lib{EGL,GL*,OpenVG}.{la,a,so*}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/lib \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/include/GL \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/{EGL,GLES*,VG,KHR}; do
- if [ -d ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/include \
- || die "Failed to move ${x}"
- fi
- done
- eend $?
-
- if use classic || use gallium; then
- ebegin "Moving DRI/Gallium drivers for dynamic switching"
- local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
- keepdir /usr/$(get_libdir)/dri
- dodir /usr/$(get_libdir)/mesa
- for x in ${gallium_drivers[@]}; do
- if [ -f "${S}/$(get_libdir)/gallium/${x}" ]; then
- mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
- || die "Failed to move ${x}"
- insinto "/usr/$(get_libdir)/dri/"
- if [ -f "${S}/$(get_libdir)/${x}" ]; then
- insopts -m0755
- doins "${S}/$(get_libdir)/${x}"
- fi
- fi
- done
- for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${x/dri/mesa}" \
- || die "Failed to move ${x}"
- fi
- done
- pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
- ln -s ../mesa/*.so . || die "Creating symlink failed"
- # remove symlinks to drivers known to eselect
- for x in ${gallium_drivers[@]}; do
- if [ -f ${x} -o -L ${x} ]; then
- rm "${x}" || die "Failed to remove ${x}"
- fi
- done
- popd
- eend $?
- fi
-}
-
-pkg_postinst() {
- # Switch to the xorg implementation.
- echo
- eselect opengl set --use-old ${OPENGL_DIR}
-
- # switch to xorg-x11 and back if necessary, bug #374647 comment 11
- OLD_IMPLEM="$(eselect opengl show)"
- if [[ ${OPENGL_DIR}x != ${OLD_IMPLEM}x ]]; then
- eselect opengl set ${OPENGL_DIR}
- eselect opengl set ${OLD_IMPLEM}
- fi
-
- # Select classic/gallium drivers
- if use classic || use gallium; then
- eselect mesa set --auto
- fi
-
- # warn about patent encumbered texture-float
- if use !bindist; then
- elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
- elog "enabled. Please see patents.txt for an explanation."
- fi
-
- local using_radeon r_flag
- for r_flag in ${RADEON_CARDS}; do
- if use video_cards_${r_flag}; then
- using_radeon=1
- break
- fi
- done
-
- if [[ ${using_radeon} = 1 ]] && ! has_version media-libs/libtxc_dxtn; then
- elog "Note that in order to have full S3TC support, it is necessary to install"
- elog "media-libs/libtxc_dxtn as well. This may be necessary to get nice"
- elog "textures in some apps, and some others even require this to run."
- fi
-}
-
-# $1 - VIDEO_CARDS flag
-# other args - names of DRI drivers to enable
-# TODO: avoid code duplication for a more elegant implementation
-driver_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- DRI_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- DRI_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
-
-gallium_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- GALLIUM_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- GALLIUM_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
diff --git a/media-libs/mesa/metadata.xml b/media-libs/mesa/metadata.xml
index b1d5290..fe098a4 100644
--- a/media-libs/mesa/metadata.xml
+++ b/media-libs/mesa/metadata.xml
@@ -5,24 +5,25 @@
<use>
<flag name='bindist'>Disable patent-encumbered ARB_texture_float, EXT_texture_shared_exponent, and EXT_packed_float extensions.</flag>
<flag name='classic'>Build drivers based on the classic architecture.</flag>
+ <flag name='d3d9'>Enable Direct 3D9 API through Nine state tracker. Can be used together with patched wine.</flag>
+ <flag name='dri3'>Enable DRI3 support.</flag>
<flag name='egl'>Enable EGL support.</flag>
<flag name='gallium'>Build drivers based on Gallium3D, the new architecture for 3D graphics drivers.</flag>
<flag name='gbm'>Enable the Graphics Buffer Manager for EGL on KMS.</flag>
+ <flag name='gles'>Enable GLES (both v1 and v2) support.</flag>
<flag name='gles1'>Enable GLESv1 support.</flag>
<flag name='gles2'>Enable GLESv2 support.</flag>
<flag name='llvm'>Enable LLVM backend for Gallium3D.</flag>
- <flag name='llvm-shared-libs'>Dynamically link Gallium3D drivers against LLVM.</flag>
<flag name='opencl'>Enable the Clover Gallium OpenCL state tracker.</flag>
+ <flag name='openmax'>Enable OpenMAX video decode/encode acceleration for Gallium3D.</flag>
<flag name='openvg'>Enable the OpenVG 2D acceleration API for Gallium3D.</flag>
<flag name='osmesa'>Build the Mesa library for off-screen rendering.</flag>
<flag name='pax_kernel'>Enable if the user plans to run the package under a pax enabled hardened kernel</flag>
<flag name='pic'>disable optimized assembly code that is not PIC friendly</flag>
<flag name='r600-llvm-compiler'>Build the LLVM based r600 shader compiler.</flag>
- <flag name='shared-glapi'>Enable sharing of common code for the OpenGL API.</flag>
<flag name='vdpau'>Enable the VDPAU acceleration interface for the Gallium3D Video Layer.</flag>
<flag name='wayland'>Enable support for dev-libs/wayland</flag>
<flag name='xa'>Enable the XA (X Acceleration) API for Gallium3D.</flag>
- <flag name='xorg'>Enable the Xorg state tracker for Gallium3D. This is not required for OpenGL acceleration in X.</flag>
<flag name='xvmc'>Enable the XvMC acceleration interface for the Gallium3D Video Layer.</flag>
</use>
</pkgmetadata>